/*
 * $Id: ProcessDefinitionInfo.java,v 1.2 2004/09/20 10:26:13 koppy Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * 
 * Created on 10.07.2004
 *
 * $Log: ProcessDefinitionInfo.java,v $
 * Revision 1.2  2004/09/20 10:26:13  koppy
 * +javadoc Dokumentation
 *
 * Revision 1.1  2004/08/30 14:49:55  koppy
 * Initiale Version der Workflow-Komponente
 *
 */
package vkc.workflow.model;

/**
 * This class represents a java bean
 * to encapsulate infos about a process definition.
 * It is primary used in the presentation layer.
 * 
 * @author Andreas Koop
 */
public class ProcessDefinitionInfo {

    private String packageId = null;
    private String processDefId = null;
    private String mgrName = null;
    private String name = null;
    private String description = null;
    private String category = null;
    private boolean enabled;
    
    
    /**
     * @return Returns the name.
     */
    public String getName() {
        return name;
    }
    /**
     * @param name The name to set.
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return Returns the packageId.
     */
    public String getPackageId() {
        return packageId;
    }
    /**
     * @param packageId The packageId to set.
     */
    public void setPackageId(String packageId) {
        this.packageId = packageId;
    }
    /**
     * @return Returns the processDefId.
     */
    public String getProcessDefId() {
        return processDefId;
    }
    /**
     * @param processDefId The processDefId to set.
     */
    public void setProcessDefId(String processDefId) {
        this.processDefId = processDefId;
    }
    
    public String getMgrName(){
        return mgrName;
    }
    
    /** 
     * (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString() {
        
        return "packageId:    " + this.packageId + "\n"
        	 + "procDefId:    " + this.processDefId+ "\n"
        	 + "procName:     " + this.name + "\n"
        	 + "description:  " + this.description;
    }
    
    /**
     * @return Returns the description.
     */
    public String getDescription() {
        return description;
    }
    /**
     * @param description The description to set.
     */
    public void setDescription(String description) {
        this.description = description;
    }
    
    /**
     * @param string
     */
    public void setMgrName(String string) {
        this.mgrName = string;
    }
    
    public String getCategory() {
        return category;
    }
    public void setCategory(String category) {
        this.category = category;
    }
    public boolean isEnabled() {
        return enabled;
    }
    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }
}
